image:
  name: registry.gitlab.com/livingdevops/public/devopstechradar:latest

workflow:
  rules:
    - if: '$CI_COMMIT_BRANCH'

stages:
  - linting
  - test
  - deploy

jsonlint:
  stage: linting
  image: registry.gitlab.com/pipeline-components/jsonlint:latest
  script:
    - |
      find . -not -path './.git/*' -name '*.json' -type f -print0 |
      parallel --will-cite -k -0 -n1 jsonlint -q

pages:
  stage: deploy
  script:
    - cp ./src/DevOpsRadar.json /radar/bin
    - gitDirectory=`pwd`
    - cd /radar/bin && node tech-radar-generator ./DevOpsRadar.json $gitDirectory/public

  artifacts:
    paths:
      - public
  rules:
    - if: '$CI_COMMIT_BRANCH == "master"'

test:
  stage: test
  script:
    - cp ./src/DevOpsRadar.json /radar/bin
    - gitDirectory=`pwd`
    - cd /radar/bin && node tech-radar-generator ./DevOpsRadar.json $gitDirectory/test
  artifacts:
    paths:
      - test
  rules:
    - if: '$CI_COMMIT_BRANCH != "master"'



